=== 3rdparty/CMakeLists.txt ===
if (NOT SYSTEM_EXPAT)
	add_subdirectory(expat)
endif()

add_subdirectory(utf8)
