=== debian/changelog ===
simgear (3.4.0-3) unstable; urgency=medium

  [ Rebecca N. Palmer ]
  * Rename for gcc5 transition.

  [ Markus Wanner ]
  * Recompile with gcc5. Closes: #797944.
  * Drop the transitional simgear-dev package.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 10 Nov 2015 19:33:47 +0100

simgear (3.4.0-2) unstable; urgency=medium

  * Really drop the conflicts against simgear0 (in control.in).

 -- Markus Wanner <markus@bluegap.ch>  Wed, 20 May 2015 21:08:44 +0200

simgear (3.4.0-1) unstable; urgency=medium

  [ Markus Wanner ]
  * Upload 3.4.0 to unstable.
  * Drop the conflicts against simgear0, it's no longer needed.
  * Drop the deprecated JPEG_FACTORY cmake option and correctly
    provide SIMGEAR_SHARED (w/o the CMAKE_ prefix).

  [ Rebecca N. Palmer ]
  * Add vasi.patch from upstream.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 20 May 2015 20:13:05 +0200

simgear (3.4.0-0~exp1) UNRELEASED; urgency=medium

  [ Markus Wanner ]
  * New upstream release 3.4.0.
  * Update debian/watch.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 18 Feb 2015 20:11:41 +0100

simgear (3.4.0~git20150211+eff3df-0~exp1) experimental; urgency=medium

  [ Markus Wanner ]
  * Add back naref_endianness.patch to fix FTBFS on arm64.
  * Update debian/copyright.
  * Use headers from utfcpp as provided by Debian.

  [ Rebecca N. Palmer ]
  * New upstream pre-release.
  * Update required libopenscenegraph-dev version.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 12 Feb 2015 18:03:01 +0100

simgear (3.2.0-1~exp1) experimental; urgency=low

  * New upstream release 3.2.0.
  * Adjust to the new upstream version: dependencies, .shlibs and
    .install files.
  * Drop patches invalid-utf8 and sgstream_test_fix_length; both got
    applied upstream.
  * Add patch md5_endianness.patch. Closes: #757919.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 23 Oct 2014 12:17:53 +0200
