=== simgear/io/CMakeLists.txt ===
--- 
+++ 
@@ -18,11 +18,12 @@
     HTTPFileRequest.hxx
     HTTPMemoryRequest.hxx
     HTTPRequest.hxx
-    HTTPContentDecode.hxx
+    AbstractRepository.hxx
     DAVMultiStatus.hxx
     SVNRepository.hxx
     SVNDirectory.hxx
     SVNReportParser.hxx
+    HTTPRepository.hxx
     )
 
 set(SOURCES
@@ -41,12 +42,18 @@
     HTTPFileRequest.cxx
     HTTPMemoryRequest.cxx
     HTTPRequest.cxx
-    HTTPContentDecode.cxx
+    AbstractRepository.cxx
     DAVMultiStatus.cxx
     SVNRepository.cxx
     SVNDirectory.cxx
     SVNReportParser.cxx
+    HTTPRepository.cxx
     )
+
+if(ENABLE_DNS)
+  list(APPEND SOURCES DNSClient.cxx)
+  list(APPEND HEADERS DNSClient.hxx)
+endif()
 
 simgear_component(io io "${SOURCES}" "${HEADERS}")
 
@@ -63,15 +70,28 @@
 
 add_test(http ${EXECUTABLE_OUTPUT_PATH}/test_http)
 
+if(ENABLE_DNS)
+	add_executable(test_dns test_DNS.cxx)
+	target_link_libraries(test_dns ${TEST_LIBS})
+	add_test(dns ${EXECUTABLE_OUTPUT_PATH}/test_dns)
+endif()
+
 add_executable(httpget httpget.cxx)
 target_link_libraries(httpget ${TEST_LIBS})
+
+add_executable(http_repo_sync http_repo_sync.cxx)
+target_link_libraries(http_repo_sync ${TEST_LIBS})
 
 add_executable(decode_binobj decode_binobj.cxx)
 target_link_libraries(decode_binobj ${TEST_LIBS})
 
 add_executable(test_binobj test_binobj.cxx)
-target_link_libraries(test_binobj ${TEST_LIBS}) 
-    
+target_link_libraries(test_binobj ${TEST_LIBS})
+
 add_test(binobj ${EXECUTABLE_OUTPUT_PATH}/test_binobj)
 
+add_executable(test_repository test_repository.cxx)
+target_link_libraries(test_repository ${TEST_LIBS})
+add_test(http_repository ${EXECUTABLE_OUTPUT_PATH}/test_repository)
+
 endif(ENABLE_TESTS)
