=== debian/changelog ===
simgear (1:2016.2.1+dfsg-6mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Wed, 31 Aug 2016 18:12:30 -0500

simgear (1:2016.2.1+dfsg-6) unstable; urgency=low

  * Add a patch by Gianfranco Costamagna to disable a test requiring
    network access. Closes: #830262.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 07 Jul 2016 20:41:39 +0200

simgear (1:2016.2.1+dfsg-5) unstable; urgency=medium

  * Upload to unstable.
  * Upstream fixed gcc-6 incompatibility. Closes: #812014.
  * Add libcurl4-gnutls-dev as a real variant as opposed to
    libcurl-dev as hinted by lintian.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 28 Jun 2016 21:18:57 +0200

simgear (1:2016.2.1+dfsg-4) experimental; urgency=medium

  * Add hurd.patch. Closes: #825947.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 31 May 2016 20:54:28 +0200

simgear (1:2016.2.1+dfsg-3) experimental; urgency=medium

  * Prevent parallel execution of the test suite.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 30 May 2016 21:35:56 +0200

simgear (1:2016.2.1+dfsg-2) experimental; urgency=medium

  * Add missing libcurl-dev package dependency.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 30 May 2016 17:10:04 +0200

simgear (1:2016.2.1+dfsg-1) experimental; urgency=medium

  * New upstream version 2016.2.1.
  * Bump S-V to 3.9.8; no changes required.
  * Drop the shared library packages as well as all of the automatic
    file generation that's not required anymore. Drop the
    corresponding install and shlibs files as well. Drop the
    soversion.patch.
  * Add a libsimgear-dbg package with all debugging symbols.
  * Add patches for skipping the 3rdparty directory entirely as well as
    for  using the system udns library.
  * Drop the soversion.patch again, revert to static-only builds, as
    discussed with upstream.
  * Update required debhelper version to 9.
  * Update watchfile to use sourceforge (via redirector).
  * Update copyright file, ignore all 3rdparty stuff from the original
    tarball and drop the now unused original MIT license paragraph, fix
    a spelling.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 23 May 2016 20:00:08 +0200

simgear (1:2016.1.0+git20160206+af0a51-1) experimental; urgency=medium

  * Preparing for upstream release 3.8 alias 2016.1.
  * Bump S-V to 3.9.7. No changes required.
  * Use https for Vcs-{Browser,Git}.
  * Adjust to the new upstream version: dependencies, .shlibs and
    .install files.
  * Update copyright file.
  * Drop patches md5_endianness.patch, naref_endianness.patch and
    vasi.patch: these issues got fixed upstream.
  * Add a preliminary soversion.patch for a more reasonable SONAME,
    still to be discussed with upstream. Adjust d/rules accordingly.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 02 Aug 2015 14:08:33 +0200
